#if !defined(AFX_GROUPSETUP_H__F641B2A5_D577_402B_B5CE_36F1CDE51ACE__INCLUDED_)
#define AFX_GROUPSETUP_H__F641B2A5_D577_402B_B5CE_36F1CDE51ACE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GroupSetup.h : header file
//
#include "resource.h"
#include <AplGuiEx.h>

/////////////////////////////////////////////////////////////////////////////
// CGroupSetup dialog

class CGroupSetup : public CaplTranslateDialog
{
// Construction
public:
	LOGFONT m_lf;
	CGroupCol* m_GroupCol;
	CGroupSetup(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CGroupSetup)
	enum { IDD = IDD_GROUP_SETUP_DLG };
	CaplButton	m_SetupOneRow_btn;
	CaplStaticImage	m_ImageCtrl;
	CaplButton	m_ok_btn;
	CaplButton	m_cancel_btn;
	CaplButton	m_SetupConditions;
	CaplButton	m_SetupLastRow;
	CaplButton	m_SetupFirstRow;
	CString	m_font_name;
	int		m_font_size;
	BOOL	m_draw_first_row;
	CString	m_ds_column_name;
	CString	m_sGroupName;
	BOOL	m_bSortAsString;
	BOOL	m_bSortDirection;
	BOOL	m_bSortByRowsCount;
	BOOL	m_bAllowBreakRows;
	BOOL	m_bShowOneRow;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGroupSetup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGroupSetup)
	afx_msg void OnFontBrowse();
	virtual BOOL OnInitDialog();
	afx_msg void OnSetupRowBtn();
	virtual void OnOK();
	afx_msg void OnSetupConditionBtn();
	afx_msg void OnSetupLastRowBtn();
	afx_msg void OnSortAsString();
	afx_msg void OnSortByRowsCount();
	afx_msg void OnSetupOneRowBtn();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	BOOL m_bDoNotShowForOneRow;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GROUPSETUP_H__F641B2A5_D577_402B_B5CE_36F1CDE51ACE__INCLUDED_)
